---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: opsperator
rules:
- apiGroups:
  - wopla.io
  resources:
  - airsonics
  - airsonics/status
  - aras
  - aras/status
  - artifactories
  - artifactories/status
  - awxes
  - awxes/status
  - backups
  - backups/status
  - blueminds
  - blueminds/status
  - bigbluebuttonconferencesstreamingplatforms
  - bigbluebuttonconferencesstreamingplatforms/status
  - cis
  - cis/status
  - clairs
  - clairs/status
  - codimds
  - codimds/status
  - cyruses
  - cyruses/status
  - diasporas
  - diasporas/status
  - directories
  - directories/status
  - dokuwikis
  - dokuwikis/status
  - draws
  - draws/status
  - errbits
  - errbits/status
  - etherpads
  - etherpads/status
  - gerrits
  - gerrits/status
  - giteas
  - giteas/status
  - gogses
  - gogses/status
  - greenlights
  - greenlights/status
  - jenkinses
  - jenkinses/status
  - jitsies
  - jitsies/status
  - kiwiircs
  - kiwiircs/status
  - kubevirts
  - kubevirts/status
  - libreofficeonlines
  - libreofficeonlines/status
  - loggings
  - loggings/status
  - mailcatchers
  - mailcatchers/status
  - maildrops
  - maildrops/status
  - mailhogs
  - mailhogs/status
  - mastodons
  - mastodons/status
  - matomos
  - matomos/status
  - mattermosts
  - mattermosts/status
  - medusas
  - medusas/status
  - minios
  - minios/status
  - munins
  - munins/status
  - nextclouds
  - nextclouds/status
  - nextcloudapplicationscaches
  - nextcloudapplicationscaches/status
  - nextcloudlookupservers
  - nextcloudlookupservers/status
  - nexuses
  - nexuses/status
  - newznabs
  - newznabs/status
  - orangeassassins
  - orangeassassins/status
  - peertubes
  - peertubes/status
  - postfixes
  - postfixes/status
  - prometheuses
  - prometheuses/status
  - radosgws
  - radosgws/status
  - releasebells
  - releasebells/status
  - registries
  - registries/status
  - rocketchats
  - rocketchats/status
  - roundcubes
  - roundcubes/status
  - rspamds
  - rspamds/status
  - s3explorers
  - s3explorers/status
  - sabnzbds
  - sabnzbds/status
  - scalelites
  - scalelites/status
  - squids
  - squids/status
  - sonarqubes
  - sonarqubes/status
  - sogos
  - sogos/status
  - soplannings
  - soplannings/status
  - sympas
  - sympas/status
  - syncimagetags
  - syncimagetags/status
  - syspasses
  - syspasses/status
  - tektons
  - tektons/status
  - tinytinyrsses
  - tinytinyrsses/status
  - transmissions
  - transmissions/status
  - trivies
  - trivies/status
  - wekans
  - wekans/status
  - wordpresses
  - wordpresses/status
  - zpushes
  - zpushes/status
  verbs:
  - "*"
- apiGroups:
  - admissionregistration.k8s.io
  resources:
  - mutatingwebhookconfigurations
  - validatingwebhookconfigurations
  verbs:
  - "*"
- apiGroups:
  - rbac.authorization.k8s.io
  resources:
  - clusterrolebindings
  - clusterroles
  - rolebindings
  - roles
  verbs:
  - "*"
- apiGroups:
  - ""
  resources:
  - configmaps
  - endpoints
  - events
  - limitranges
  - namespaces
  - persistentvolumeclaims
  - pods
  - replicationcontrollers
  - resourcequotas
  - secrets
  - serviceaccounts
  - services
  - services/finalizers
  verbs:
  - "*"
- apiGroups:
  - scheduling.k8s.io
  resources:
  - priorityclasses
  verbs:
  - '*'
- apiGroups:
  - autoscaling.k8s.io
  resources:
  - horizontalpodautoscalers
  - verticalpodautoscalers
  verbs:
  - '*'
- apiGroups:
  - autoscaling
  resources:
  - horizontalpodautoscalers
  verbs:
  - '*'
- apiGroups:
  - batch
  resources:
  - jobs
  - cronjobs
  verbs:
  - '*'
- apiGroups:
  - networking.k8s.io
  resources:
  - networkpolicies
  - ingresses
  verbs:
  - '*'
- apiGroups:
  - networking.k8s.io
  resources:
  - ingressclasses
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - extensions
  resources:
  - deployments
  - deployments/finalizers
  - networkpolicies
  verbs:
  - '*'
- apiGroups:
  - apps
  resources:
  - deployments
  - deployments/finalizers
  - daemonsets
  - replicasets
  - statefulsets
  verbs:
  - "*"
- apiGroups:
  - tekton.dev
  resources:
  - pipelineresources
  - pipelineruns
  - pipelines
  - tasks
  - taskruns
  verbs:
  - "*"
- apiGroups:
  - triggers.tekton.dev
  resources:
  - clustertriggerbindings
  - clusterinterceptors
  verbs:
  - "*"
- apiGroups:
  - triggers.tekton.dev
  resources:
  - eventlisteners
  - triggerbindings
  - triggertemplates
  verbs:
  - "*"
- apiGroups:
  - operators.coreos.com
  resources:
  - clusterserviceversions
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - apiextensions.k8s.io
  resources:
  - customresourcedefinitions
  verbs:
  - "*"
- apiGroups:
  - policy
  resources:
  - poddisruptionbudgets
  - podsecuritypolicies
  verbs:
  - "*"
- apiGroups:
  - redhatcop.redhat.io
  resources:
  - quayecosystems
  verbs:
  - "*"
- apiGroups:
  - traefik.containo.us
  resources:
  - middlewares
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - storage.k8s.io
  resources:
  - storageclasses
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - networking.istio.io
  resources:
  - virtualservices
  verbs:
  - "*"
- apiGroups:
  - kubevirt.io
  resources:
  - kubevirts
  - virtualmachines
  - virtualmachineinstances
  verbs:
  - "*"
- apiGroups:
  - cdi.kubevirt.io
  resources:
  - datavolumes
  verbs:
  - "*"
- apiGroups:
  - cert-manager.io
  resources:
  - certificates
  - clusterissuers
  - issuers
  verbs:
  - "*"
- apiGroups:
  - snapshot.storage.k8s.io
  resources:
  - volumesnapshots
  verbs:
  - "*"
- apiGroups:
  - snapshot.storage.k8s.io
  resources:
  - volumesnapshotclasses
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - ""
  resources:
  - nodes
  verbs:
  - get
  - list
  - watch
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  labels:
    rbac.authorization.k8s.io/aggregate-to-admin: "true"
  name: opsperator-edit
rules:
- apiGroups:
  - wopla.io
  resources:
  - airsonics
  - aras
  - artifactories
  - awxes
  - backups
  - blueminds
  - bigbluebuttonconferencesstreamingplatforms
  - cis
  - clairs
  - codimds
  - cyruses
  - diasporas
  - directories
  - dokuwikis
  - draws
  - errbits
  - etherpads
  - gerrits
  - giteas
  - gogses
  - greenlights
  - jitsies
  - jenkinses
  - kiwiircs
  - kubevirts
  - libreofficeonlines
  - loggings
  - mailcatchers
  - maildrops
  - mailhogs
  - mastodons
  - matomos
  - mattermosts
  - medusas
  - minios
  - munins
  - nextclouds
  - nextcloudapplicationscaches
  - nextcloudlookupservers
  - nexuses
  - newznabs
  - orangeassassins
  - peertubes
  - postfixes
  - prometheuses
  - radosgws
  - releasebells
  - registries
  - rocketchats
  - roundcubes
  - rspamds
  - s3explorers
  - sabnzbds
  - scalelites
  - squids
  - sonarqubes
  - soplannings
  - sogos
  - sympas
  - syncimagetags
  - syspasses
  - tektons
  - tinytinyrsses
  - transmissions
  - trivies
  - wekans
  - wordpresses
  - zpushes
  verbs:
  - "*"
